﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="NewsAdminController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Admin.Administration
{
    #region usings
    using System;
    using System.Linq;
    using System.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Controllers.Interfaces;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.ActionAttributes;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;

    #endregion

    /// <summary>
    /// The news admin controller.
    /// </summary>
    [CustomAuthorize(AppRole = FruitmonitoringRoles.SuperAdmin | FruitmonitoringRoles.Admin)]
    public class NewsAdminController : BaseGridViewController, IDataManipulator<USP_News_Sel_Result>, ISortableController
    {
        #region Properties

        #region Fields
        private readonly string gridViewPartialFile = "News/_newsGridViewPartial";
        #endregion

        #endregion

        #region Constructors and Destructors

        #region constructors
        /// <summary>
        /// Initializes a new instance of the <see cref="NewsAdminController"/> class.
        /// </summary>
        public NewsAdminController()
            : base(GridViewHelper.NEWSADMINCONTROLLERNAME, GridViewHelper.NEWSADMINGRIDVIEWID, true, false)
        {
        }
        #endregion

        #endregion

        #region actionresults
        /// <summary>
        /// The grid view list view.
        /// </summary>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [AjaxOrChildActionOnly]
        public override ActionResult GridViewListView()
        {
            return null;
        }

        /// <summary>
        /// The grid view list view.
        /// </summary>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [AjaxOrChildActionOnly]
        public override ActionResult GridViewListViewInit()
        {
            return null;
        }
        #endregion

        #region IDataManipulator Member
        /// <summary>
        /// The sort.
        /// </summary>
        /// <param name="id">
        /// The id.
        /// </param>
        /// <param name="mode">
        /// The mode.
        /// </param>
        /// <param name="groupId">
        /// The group id.
        /// </param>
        /// <param name="filter">
        /// The filter.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [AjaxOrChildActionOnly]
        public ActionResult Sort(Guid id, string mode, Guid? groupId = null, string filter = null)
        {
            return null;
        }

        /// <summary>
        /// The add.
        /// </summary>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpGet]
        [AjaxOrChildActionOnly]
        public ActionResult Add()
        {
            return null;
        }

        /// <summary>
        /// The add.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        [AjaxOrChildActionOnly]
        public ActionResult Add(USP_News_Sel_Result model)
        {
            return null;
        }

        /// <summary>
        /// The edit.
        /// </summary>
        /// <param name="id">
        /// The id.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpGet]
        [AjaxOrChildActionOnly]
        public ActionResult Edit(Guid id)
        {
            return null;
        }

        /// <summary>
        /// The edit.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        [AjaxOrChildActionOnly]
        public ActionResult Edit(USP_News_Sel_Result model)
        {
            return null;
        }

        /// <summary>
        /// The delete.
        /// </summary>
        /// <param name="id">
        /// The id.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        [AjaxOrChildActionOnly]
        public ActionResult Delete(Guid id)
        {
            return null;
        }

        /// <summary>
        /// The load add and edit view data.
        /// </summary>
        /// <param name="properties">
        /// The properties.
        /// </param>
        public void LoadAddAndEditViewData(object properties = null)
        {
        }
        #endregion
    }
}