#region Copyright  convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ParameterGroupAdminController.cs.cs" company="convivo GmbH">
//    Copyright  2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Admin.Samples
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Configuration;
    using System.Linq;
    using System.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Controllers.Interfaces;
    using Fruitmonitoring.Helper.Export;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.ActionAttributes;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;
    using Fruitmonitoring.Models.BindingHandlers;

    using Languages.Emails;

    using ParameterGroup = Languages.Emails.ParameterGroup.ParameterGroup;

    #endregion

    /// <summary>
    /// The parameter group admin controller.
    /// </summary>
    [CustomAuthorize(AppRole = FruitmonitoringRoles.SuperAdmin | FruitmonitoringRoles.Admin)]
    public class ParameterGroupAdminController : BaseParameterGroupController, IExportController
    {
        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="ParameterGroupAdminController"/> class.
        /// </summary>
        public ParameterGroupAdminController()
            : base(
                new ParameterGroupBindingHandlers(new Dictionary<string, object>() { { ParameterGroupBindingHandlers.PROPERTYKEY_USEUSERCOMPANYID, false } }),
                GridViewHelper.PARAMETERGROUPADMINGRIDVIEWID,
                GridViewHelper.GRIDVIEWCOMPONENTSPATH + "ParameterGroup/_parameterGroupGridViewPartial",
                CustomMetadataProvider.GetMemberName(() => EFHelper.Usp_ParameterGroup.ParameterGroup_id),
                GridViewHelper.PARAMETERGROUPADMINCONTROLLERNAME)
        {
        }
        #endregion

        #region IExportController Members

        #region Public Methods and Operators

        #region IExportController Member
        /// <summary>
        /// The export.
        /// </summary>
        /// <param name="exportType">
        /// The export type.
        /// </param>
        /// <param name="columnNames">
        /// The column names.
        /// </param>
        /// <param name="columnTexts">
        /// The column texts.
        /// </param>
        /// <param name="filter">
        /// The filter.
        /// </param>
        /// <param name="sortColumnName">
        /// The sort column name.
        /// </param>
        /// <param name="sortOrder">
        /// The sort order.
        /// </param>
        /// <param name="applySorting">
        /// The apply sorting.
        /// </param>
        /// <param name="applyFilter">
        /// The apply filter.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        public ActionResult Export(
            string exportType,
            string columnNames,
            string columnTexts,
            string filter,
            string sortColumnName,
            string sortOrder,
            bool applySorting,
            bool applyFilter)
        {
            return null;
        }
        #endregion

        #endregion

        #endregion

        #region action results
        /// <summary>
        /// Change the status of a parametergroup.
        /// </summary>
        /// <param name="parameterGroupId">
        /// Id of the parameter group.
        /// </param>
        /// <param name="parameterGroupStatusId">
        /// Id of the new parameter group status id.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        [AjaxOrChildActionOnly]
        public ActionResult ParameterGroupChangeStatus(Guid parameterGroupId, Guid parameterGroupStatusId)
        {
            return null;
        }

        /// <summary>
        /// Load parameter group status change popup.
        /// </summary>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [AjaxOrChildActionOnly]
        public ActionResult LoadChangeStatusPopupContent()
        {
            return null;
        }
        #endregion
    }
}