﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="BaseInvestigationOrderController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.General
{
    #region usings
    using System;
    using System.Linq;
    using System.Web.Mvc;

    using DevExpress.Data;

    using Fruitmonitoring.Helper.HtmlExtensions;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;
    using Fruitmonitoring.Models.BindingHandlers;

    using Languages.Pages.Common.InvestigationOrder;

    #endregion

    /// <summary>
    /// </summary>
    [CustomAuthorize(AppRole = FruitmonitoringRoles.SuperAdmin | FruitmonitoringRoles.Orderer | FruitmonitoringRoles.Laboratory)]
    public abstract class BaseInvestigationOrderController : BaseSampleController
    {
        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="BaseInvestigationOrderController"/> class.
        /// </summary>
        /// <param name="bindingHandler">
        /// The binding handler.
        /// </param>
        /// <param name="gridViewId">
        /// The grid view id.
        /// </param>
        /// <param name="gridViewPartialPath">
        /// The grid view partial path.
        /// </param>
        /// <param name="keyFieldName">
        /// The key field name.
        /// </param>
        /// <param name="activeControllerName">
        /// The active controller name.
        /// </param>
        public BaseInvestigationOrderController(
            IBindingHandler bindingHandler,
            string gridViewId,
            string gridViewPartialPath,
            string keyFieldName,
            string activeControllerName)
            : base(
                bindingHandler,
                gridViewId,
                gridViewPartialPath,
                keyFieldName,
                activeControllerName,
                CustomMetadataProvider.GetMemberName(() => EFHelper.Usp_Sample.OrderNumber),
                ColumnSortOrder.Descending)
        {
        }
        #endregion

        #region Methods
        /// <summary>
        /// The load selected view data.
        /// </summary>
        /// <param name="sampleId">
        /// The sample id.
        /// </param>
        /// <param name="vDict">
        /// The v dict.
        /// </param>
        /// <param name="companyIdForDocuments">
        /// The company id for documents.
        /// </param>
        protected void loadSelectedViewData(Guid sampleId, ViewDataDictionary vDict, Guid? companyIdForDocuments)
        {
        }
        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// The copy investigation order.
        /// </summary>
        /// <param name="orderId">
        /// The order id.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult CopyInvestigationOrder(Guid orderId)
        {
            return null;
        }

        /// <summary>
        /// The details.
        /// </summary>
        /// <param name="orderId">
        /// The order id.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        public ActionResult Details(Guid orderId)
        {
            return null;
        }

        /// <summary>
        /// The print.
        /// </summary>
        /// <param name="printId">
        /// The print id.
        /// </param>
        /// <param name="printPopupForm">
        /// The print popup form.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        public ActionResult Print(Guid printId, bool printPopupForm = false)
        {
            return null;
        }
        #endregion
    }
}