﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="BaseSampleController.CleanUpModelForSP.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.General
{
    #region usings
    using System;

    using Fruitmonitoring.Infrastructure.Security;

    #endregion

    /// <summary>
    /// This partial class provides functions to remove some default values from the sample model that shouldn't saved to db.
    /// </summary>
    [CustomAuthorize(AppRole = FruitmonitoringRoles.SuperAdmin | FruitmonitoringRoles.Laboratory)]
    public partial class BaseSampleController : BaseGridViewCustomBindingController
    {
        #region Properties

        #region Constants

        #region constants
        /// <summary>
        /// The placeholderinteger.
        /// </summary>
        private const int PLACEHOLDERINTEGER = 0;
        #endregion

        #endregion

        #endregion

        #region methods
        /// <summary>
        /// The clean up lab number for sp.
        /// </summary>
        /// <param name="labNumber">
        /// The lab number.
        /// </param>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        public string cleanUpLabNumberForSP(string labNumber)
        {
            return null;
        }

        /// <summary>
        /// Remove default LabEntryDat from model.
        /// </summary>
        /// <param name="labEntryDate">
        /// LabEntryDate.
        /// </param>
        /// <returns>
        /// The <see cref="DateTime?"/>.
        /// </returns>
        public DateTime? cleanUpLabEntryDateForSP(DateTime? labEntryDate)
        {
            return null;
        }

        /// <summary>
        /// Remove default sampling date from model.
        /// </summary>
        /// <param name="samplingDate">
        /// SamplingDate.
        /// </param>
        /// <returns>
        /// The <see cref="DateTime?"/>.
        /// </returns>
        public DateTime? cleanUpSamplingDateForSP(DateTime? samplingDate)
        {
            return null;
        }

        /// <summary>
        /// Remove default report date from model.
        /// </summary>
        /// <param name="reportDate">
        /// ReportDate.
        /// </param>
        /// <returns>
        /// The <see cref="DateTime?"/>.
        /// </returns>
        public DateTime? cleanUpReportDateForSP(DateTime? reportDate)
        {
            return null;
        }

        /// <summary>
        /// Remove default manufacturer from model.
        /// </summary>
        /// <param name="manufacturer">
        /// Manufacturer.
        /// </param>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        public string cleanUpManufacturerForSP(string manufacturer)
        {
            return null;
        }

        /// <summary>
        /// Remove default size type from model.
        /// </summary>
        /// <param name="sizeType">
        /// SizeType.
        /// </param>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        public string cleanUpSizeTypeForSP(string sizeType)
        {
            return null;
        }

        /// <summary>
        /// Remove default lotnumber from model.
        /// </summary>
        /// <param name="lotNumber">
        /// LotNumber.
        /// </param>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        public string cleanUpLotNumberForSP(string lotNumber)
        {
            return null;
        }
        #endregion
    }
}