﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="DownloadController.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.General
{
    #region usings
    using System;
    using System.IO;
    using System.Linq;
    using System.Text;
    using System.Web;
    using System.Web.Mvc;

    using Fruitmonitoring.Helper.FileHelper;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;

    using Languages;

    #endregion

    /// <summary>
    /// The download controller.
    /// </summary>
    public class DownloadController : BaseController
    {
        #region Public Methods and Operators
        /// <summary>
        /// Start downloading a file.
        /// </summary>
        /// <param name="downloadId">
        /// Document id.
        /// </param>
        /// <param name="documentCompanyId">
        /// Get a document related to this company id. Leave it blank to select public documents (upload by laboratory) or to get a document uploaded by the current users company.
        /// </param>
        /// <param name="commonHtsDocuments">
        /// The common Hts Documents.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        public ActionResult StartDownload(Guid downloadId, Guid? documentCompanyId = null, bool commonHtsDocuments = false)
        {
            return null;
        }
        #endregion

        #region Methods
        /// <summary>
        /// Show a file no access error page.
        /// </summary>
        /// <param name="message">
        /// Error message.
        /// </param>
        /// <returns>
        /// View.
        /// </returns>
        private ActionResult FileNoAccess(string message = "")
        {
            return null;
        }

        /// <summary>
        /// Show a file not found error page.
        /// </summary>
        /// <param name="message">
        /// Error message.
        /// </param>
        /// <returns>
        /// View.
        /// </returns>
        private ActionResult FileNotFound(string message = "")
        {
            return null;
        }
        #endregion
    }
}