﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ISortableController.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Interfaces
{
    #region usings
    using System;
    using System.Web.Mvc;

    #endregion

    /// <summary>
    /// The SortableController interface.
    /// </summary>
    public interface ISortableController
    {
        #region Public Methods and Operators
        /// <summary>
        /// Sorts a given currentRow up or down.
        /// </summary>
        /// <param name="id">
        /// The id.
        /// </param>
        /// <param name="mode">
        /// "up" or "down".
        /// </param>
        /// <param name="groupId">
        /// Group retialerCompanyId (needed if you want to sort in a specific group in a table).
        /// </param>
        /// <param name="filter">
        /// Filter for the Gridview.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        ActionResult Sort(Guid id, string mode, Guid? groupId = null, string filter = null);
        #endregion
    }
}