﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="InvestigationOrderArchiveLaboratoryController.cs.cs" company="convivo GmbH">
//    Copyright © 2015 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Laboratory.Samples
{
    #region usings
    using System.Collections.Generic;
    using System.Web.Mvc;

    using DevExpress.Data.Filtering;
    using DevExpress.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models.BindingHandlers;

    #endregion

    /// <summary>
    /// The investigation order archive laboratory controller.
    /// </summary>
    [CustomAuthorize(AppRole = FruitmonitoringRoles.SuperAdmin | FruitmonitoringRoles.Admin | FruitmonitoringRoles.Laboratory)]
    public class InvestigationOrderArchiveLaboratoryController : BaseInvestigationOrderController
    {
        #region Constructors and Destructors

        #region constructor
        /// <summary>
        /// Initializes a new instance of the <see cref="InvestigationOrderArchiveLaboratoryController"/> class.
        /// </summary>
        public InvestigationOrderArchiveLaboratoryController()
            : base(
                new SampleInvestigationOrderBindingHandlers(
                    new Dictionary<string, object>() { { SampleInvestigationOrderBindingHandlers.PROPERTYKEY_USEUSERCOMPANYID, true } }),
                GridViewHelper.INVESTIGATIONORDERARCHIVELABORATORYGRIDVIEWID,
                GridViewHelper.GRIDVIEWCOMPONENTSPATH + "Sample/_sampleInvestigationOrderGridViewPartial",
                CustomMetadataProvider.GetMemberName(() => EFHelper.Usp_Sample.Sample_id),
                GridViewHelper.INVESTIGATIONORDERARCHIVELABORATORYCONTROLLERNAME)
        {
        }
        #endregion

        #endregion

        #region Public Methods and Operators

        #region overrides
        /// <summary>
        /// The custom binding core.
        /// </summary>
        /// <param name="gridViewModel">
        /// The grid view model.
        /// </param>
        /// <param name="sortColumn">
        /// The sort column.
        /// </param>
        /// <param name="oldPageSize">
        /// The old page size.
        /// </param>
        /// <returns>
        /// The <see cref="PartialViewResult"/>.
        /// </returns>
        public override PartialViewResult CustomBindingCore(GridViewModel gridViewModel, GridViewColumnState sortColumn = null, int oldPageSize = -1)
        {
            return null;
        }
        #endregion

        #endregion

        #region Methods

        #region private methods
        /// <summary>
        /// The get fixed filter expression.
        /// </summary>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        private string getFixedFilterExpression()
        {
            return null;
        }
        #endregion

        #endregion
    }
}