﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SampleLaboratoryOpenSamplesController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Laboratory.Samples
{
    #region usings
    using System.Collections.Generic;

    using DevExpress.Data.Filtering;

    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Models.BindingHandlers;

    #endregion

    /// <summary>
    /// The sample laboratory open samples controller.
    /// </summary>
    public class SampleLaboratoryOpenSamplesController : SampleLaboratoryBaseController
    {
        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="SampleLaboratoryOpenSamplesController"/> class.
        /// </summary>
        public SampleLaboratoryOpenSamplesController()
            : base(
                new SampleBindingHandlers(new Dictionary<string, object>() { { SampleBindingHandlers.PROPERTYKEY_USEUSERCOMPANYID, true } }),
                GridViewHelper.SAMPLELABORATORYGRIDVIEWID,
                GridViewHelper.GRIDVIEWCOMPONENTSPATH + "Sample/_sampleLaboratoryGridViewPartial",
                CustomMetadataProvider.GetMemberName(() => EFHelper.Usp_Sample.Sample_id),
                GridViewHelper.SAMPLELABORATORYOPENSAMPLESCONTROLLERNAME)
        {
            SetAsAdminGridView();
        }
        #endregion

        #region Methods
        /// <summary>
        /// The get fixed filter expression.
        /// </summary>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        protected override string getFixedFilterExpression()
        {
            return null;
        }
        #endregion
    }
}