﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="RegionManagementRetailerController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Retailer.Administration
{
    #region usings
    using System.Collections.Generic;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;
    using Fruitmonitoring.Models.BindingHandlers;

    #endregion

    /// <summary>
    /// The region management retailer controller.
    /// </summary>
    [CustomAuthorize(AppRole = FruitmonitoringRoles.SuperAdmin | FruitmonitoringRoles.SuperUserRetailer)]
    public class RegionManagementRetailerController : BaseGridViewCustomBindingController
    {
        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="RegionManagementRetailerController"/> class.
        /// </summary>
        public RegionManagementRetailerController()
            : base(
                new CompanyBindingHandlers(
                    new Dictionary<string, object>()
                    {
                        {
                            CompanyBindingHandlers.PROPERTYKEY_COMPANYTYPEIDLIST,
                            DbGuidHelper.GetCompanyTypeId(DbGuidHelper.CompanyTypes.RETAILERREGION)
                        },
                        { CompanyBindingHandlers.PROPERTYKEY_USEUSERCOMPANYID, true }
                    }),
                GridViewHelper.REGIONMANAGERRETAILERGRIDVIEWID,
                GridViewHelper.GRIDVIEWCOMPONENTSPATH + "Company/_regionGridViewPartial",
                CustomMetadataProvider.GetMemberName(() => EFHelper.Usp_Company.Company_id),
                GridViewHelper.REGIONMANAGERRETAILERCONTROLLERNAME,
                new USP_Company_Sel_Result().GetType(),
                false,
                false)
        {
        }
        #endregion
    }
}