﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ExportOptions.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Export
{
    #region usings
    using Languages.Export;

    #endregion

    /// <summary>
    /// The export options.
    /// </summary>
    public class ExportOptions
    {
        #region Properties

        // text for an checkbox-false-value
        /// <summary>
        /// Gets or sets the boolean replace text for false.
        /// </summary>
        public string BooleanReplaceTextForFalse
        {
            get
            {
                return _booleanReplaceTextForFalse;
            }

            set
            {
                _booleanReplaceTextForFalse = value;
            }
        }

        // text for an checkbox-true-value
        /// <summary>
        /// Gets or sets the boolean replace text for true.
        /// </summary>
        public string BooleanReplaceTextForTrue
        {
            get
            {
                return _booleanReplaceTextForTrue;
            }

            set
            {
                _booleanReplaceTextForTrue = value;
            }
        }
        #endregion

        #region Fields
        /// <summary>
        /// The _boolean replace text for false.
        /// </summary>
        private string _booleanReplaceTextForFalse = Export.False;

        /// <summary>
        /// The _boolean replace text for true.
        /// </summary>
        private string _booleanReplaceTextForTrue = Export.True;
        #endregion
    }
}