﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="AdvancedSearchController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.AdvancedSearch
{
    #region usings
    using System;
    using System.Linq;
    using System.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Infrastructure.Security;

    using Languages;

    #endregion

    /// <summary>
    /// The advanced search controller.
    /// </summary>
    public class AdvancedSearchController : BaseController
    {
        #region variables
        /// <summary>
        /// The searchexpressionbackendkey.
        /// </summary>
        public static readonly string SEARCHEXPRESSIONBACKENDKEY = "SEARCHEXPRESSIONBACKENDKEY";

        /// <summary>
        /// The searchexpressionbackendkeyold.
        /// </summary>
        public static readonly string SEARCHEXPRESSIONBACKENDKEYOLD = "SEARCHEXPRESSIONBACKENDKEYOLD";

        /// <summary>
        /// The searchexpressionfrontendkey.
        /// </summary>
        public static readonly string SEARCHEXPRESSIONFRONTENDKEY = "SEARCHEXPRESSIONFRONTENDKEY";

        /// <summary>
        /// The searchexpressiondosearch.
        /// </summary>
        public static readonly string SEARCHEXPRESSIONDOSEARCH = "SEARCHEXPRESSIONDOSEARCH";

        /// <summary>
        /// The searchexpressiondelete.
        /// </summary>
        public static readonly string SEARCHEXPRESSIONDELETE = "SEARCHEXPRESSIONDELETE";

        // private IGridViewExtensionHelper _GridViewExtensionHelper = new GridViewExtensionHelper();
        #endregion

        #region actionresults
        /// <summary>
        /// The advanced search init partial.
        /// </summary>
        /// <param name="gridViewId">
        /// The grid view id.
        /// </param>
        /// <param name="advancedSearchHandlerClassName">
        /// The advanced search handler class name.
        /// </param>
        /// <param name="removeFilter">
        /// The remove filter.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        public ActionResult AdvancedSearchInitPartial(string gridViewId, string advancedSearchHandlerClassName, bool removeFilter)
        {
            return null;
        }

        /// <summary>
        /// Renders the partial view component for the advanced search.
        /// </summary>
        /// <param name="gridViewId">
        /// Clear filter for this gridview.
        /// </param>
        /// <param name="advancedSearchHandlerClassName">
        /// Class name that handles the advanced search.
        /// </param>
        /// <returns>
        /// Partial view.
        /// </returns>
        public ActionResult AdvancedSearchPartial(string gridViewId, string advancedSearchHandlerClassName)
        {
            return null;
        }

        /// <summary>
        /// Clear advanced filter of the given gridview.
        /// </summary>
        /// <param name="gridViewId">
        /// Clear filter for this gridview.
        /// </param>
        /// <param name="advancedSearchHandlerClassName">
        /// Class name that handles the advanced search.
        /// </param>
        /// <returns>
        /// Partial view.
        /// </returns>
        public ActionResult RemoveFilter(string gridViewId, string advancedSearchHandlerClassName)
        {
            return null;
        }

        /// <summary>
        /// Load search form.
        /// </summary>
        /// <param name="advancedSearchHandlerClassName">
        /// Class name that handles that loads the search form.
        /// </param>
        /// <param name="searchModelName">
        /// The search Model Name.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        public ActionResult GetAdvancedSearchForm(string advancedSearchHandlerClassName, string searchModelName)
        {
            return null;
        }

        /// <summary>
        /// Process search input values.
        /// </summary>
        /// <param name="searchForm">
        /// Current searchform data.
        /// </param>
        /// <param name="gridViewId">
        /// Gridview that can handle the filter.
        /// </param>
        /// <param name="advancedSearchHandlerClassName">
        /// Class name that handles the search process.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        public ActionResult ProcessSearchForm(FormCollection searchForm, string gridViewId, string advancedSearchHandlerClassName)
        {
            return null;
        }
        #endregion
    }
}