﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="AdvancedSearchFilterItem.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.AdvancedSearch
{
    /// <summary>
    /// Holds information to store filter expression in a session.
    /// </summary>
    public class AdvancedSearchFilterItem
    {
        #region Properties
        /// <summary>
        /// Gets or sets the backend.
        /// </summary>
        public string Backend { get; set; }

        /// <summary>
        /// Gets or sets the frontend.
        /// </summary>
        public string Frontend { get; set; }
        #endregion

        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="AdvancedSearchFilterItem"/> class.
        /// create instance.
        /// </summary>
        /// <param name="backend">
        /// Devexpress filterexpression.
        /// </param>
        /// <param name="frontend">
        /// Filter that should rendered to the frontend.
        /// </param>
        public AdvancedSearchFilterItem(string backend, string frontend)
        {
            Backend = backend;
            Frontend = frontend;
        }
        #endregion
    }
}