﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CommonPopupNewButtonExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.CommonPopupNewButton
{
    #region usings
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    using Languages.Components;

    #endregion

    /// <summary>
    /// Provides functions to build the html "new" button
    /// the button opens a popup that contains the form.
    /// </summary>
    public class CommonPopupNewButtonExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds the "new" button for adding a new dataset.
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="controller">
        /// Controller that hold the action.
        /// </param>
        /// <param name="action">
        /// Action in the controller that renders the partial view.
        /// </param>
        /// <param name="headerText">
        /// Popup header text.
        /// </param>
        /// <param name="gridViewId">
        /// Active gridView id.
        /// </param>
        /// <param name="buttonText">
        /// Set button text. if this value is not provided, an default text is set.
        /// </param>
        /// <param name="showDefaultSubmitButton">
        /// Show the default submitbutton?.
        /// </param>
        /// <param name="showAdditionalContentInPopup">
        /// Show or hide the additional content container.
        /// </param>
        /// <returns>
        /// The "new" button html.
        /// </returns>
        public MvcHtmlString CreateCommonPopupNewButton(
            HtmlHelper htmlHelper,
            string controller,
            string action,
            string headerText,
            string gridViewId,
            string buttonText,
            bool showDefaultSubmitButton,
            bool showAdditionalContentInPopup)
        {
            return null;
        }
        #endregion

        #endregion
    }
}