﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CompanySearchController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.CompanySearch
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Reflection;
    using System.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Helper.HtmlExtensions.CompanySelection;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Helper.Utility.HelperStubs;
    using Fruitmonitoring.Helper.Validation;
    using Fruitmonitoring.Helper.Validation.Interfaces;
    using Fruitmonitoring.Infrastructure.AccessRules;
    using Fruitmonitoring.Infrastructure.AccessRules.Interface;
    using Fruitmonitoring.Infrastructure.ActionAttributes;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;
    using Fruitmonitoring.Models.ComboBox;

    using Languages;

    #endregion

    // interner oder Ajax aufgerufen grundsätzlich eingeloggte
    /// <summary>
    /// The company search controller.
    /// </summary>
    public class CompanySearchController : BaseController
    {
        #region Properties

        #region Static Fields
        // the minimum provided search strings
        /// <summary>
        /// The min search strings.
        /// </summary>
        public static int MinSearchStrings = 2;
        #endregion

        #region Fields
        /// <summary>
        /// The _company type checkbox helper.
        /// </summary>
        private readonly ICompanyTypeCheckboxHelperStub _companyTypeCheckboxHelper = new CompanyTypeCheckboxHelperStub();
        #endregion

        #endregion

        #region actionresults
        /// <summary>
        /// Load the search form for company search.
        /// </summary>
        /// <param name="additionalCompanyTypeFilter">
        /// The additional Company Type Filter.
        /// </param>
        /// <param name="modelPropertyValue">
        /// </param>
        /// <param name="modelPropertyName">
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        public ActionResult LoadSearchForm(string additionalCompanyTypeFilter, string modelPropertyValue, string modelPropertyName)
        {
            return null;
        }

        /// <summary>
        /// Search for companies.
        /// </summary>
        /// <param name="model">
        /// Search model.
        /// </param>
        /// <param name="additionalCompanyTypeFilter">
        /// </param>
        /// <param name="modelPropertyValue">
        /// </param>
        /// <param name="modelPropertyName">
        /// </param>
        /// <param name="retailerIds">
        /// The retailer Ids.
        /// </param>
        /// <returns>
        /// Partial view that renders a checkboxlist with all items.
        /// </returns>
        [HttpPost]
        public ActionResult SearchCompanies(
            CompanySearchModel model,
            string additionalCompanyTypeFilter,
            string modelPropertyValue,
            string modelPropertyName,
            string retailerIds = null)
        {
            return null;
        }

        /// <summary>
        /// The add company.
        /// </summary>
        /// <param name="additionalCompanyTypeFilter">
        /// The additional company type filter.
        /// </param>
        /// <param name="modelPropertyValue">
        /// The model property value.
        /// </param>
        /// <param name="modelPropertyName">
        /// The model property name.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        public ActionResult AddCompany(string additionalCompanyTypeFilter, string modelPropertyValue, string modelPropertyName)
        {
            return null;
        }

        /// <summary>
        /// The add.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <param name="additionalCompanyTypeFilter">
        /// The additional company type filter.
        /// </param>
        /// <param name="modelPropertyValue">
        /// The model property value.
        /// </param>
        /// <param name="modelPropertyName">
        /// The model property name.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        [AjaxOrChildActionOnly]
        public ActionResult Add(CompanySelectionAddModel model, string additionalCompanyTypeFilter, string modelPropertyValue, string modelPropertyName)
        {
            return null;
        }

        /// <summary>
        /// Get the company name by a given retialerCompanyId.
        /// </summary>
        /// <param name="companyId">
        /// Company retialerCompanyId.
        /// </param>
        /// <returns>
        /// Company name.
        /// </returns>
        [HttpPost]
        public string GetCompanyNameByRowId(string companyId)
        {
            return null;
        }

        /// <summary>
        /// Validate search inputs.
        /// </summary>
        /// <param name="model">
        /// </param>
        /// <returns>
        /// The <see cref="List"/>.
        /// </returns>
        private List<PropertyInfo> getSearchModelValues(CompanySearchModel model)
        {
            return null;
        }
        #endregion

        #region methods
        /// <summary>
        /// The load additional view data.
        /// </summary>
        /// <param name="additionalCompanyTypeFilter">
        /// The additional company type filter.
        /// </param>
        /// <param name="modelPropertyValue">
        /// The model property value.
        /// </param>
        /// <param name="modelPropertyName">
        /// The model property name.
        /// </param>
        [NonAction]
        public void loadAdditionalViewData(string additionalCompanyTypeFilter, string modelPropertyValue, string modelPropertyName)
        {
        }

        /// <summary>
        /// The load additional view data.
        /// </summary>
        /// <param name="additionalCompanyTypeFilter">
        /// The additional company type filter.
        /// </param>
        /// <param name="modelPropertyValue">
        /// The model property value.
        /// </param>
        /// <param name="modelPropertyName">
        /// The model property name.
        /// </param>
        /// <param name="forForm">
        /// The for form.
        /// </param>
        [NonAction]
        public void loadAdditionalViewData(string additionalCompanyTypeFilter, string modelPropertyValue, string modelPropertyName, bool forForm)
        {
        }

        /// <summary>
        /// The get administrative company types for model property value.
        /// </summary>
        /// <param name="modelPropertyValue">
        /// The model property value.
        /// </param>
        /// <returns>
        /// The <see cref="List"/>.
        /// </returns>
        private List<USP_CompanyType_Sel_Result> getAdministrativeCompanyTypesForModelPropertyValue(string modelPropertyValue)
        {
            return null;
        }

        /// <summary>
        /// The get company type for model property value.
        /// </summary>
        /// <param name="modelPropertyValue">
        /// The model property value.
        /// </param>
        /// <returns>
        /// The <see cref="List"/>.
        /// </returns>
        private List<string> getCompanyTypeForModelPropertyValue(string modelPropertyValue)
        {
            return null;
        }

        /// <summary>
        /// The validate company model.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        private void validateCompanyModel(USP_Company_Sel_Result model)
        {
        }
        #endregion
    }
}