﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CompanySearchTemplates.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.CompanySearch
{
    #region usings
    using System.Collections.Generic;

    using Fruitmonitoring.Helper.Utility;

    #endregion

    /// <summary>
    /// All available search fields.
    /// </summary>
    public enum SEARCHFIELDS
    {
        /// <summary>
        /// The companyname.
        /// </summary>
        COMPANYNAME,

        /// <summary>
        /// The companystreet.
        /// </summary>
        COMPANYSTREET,

        /// <summary>
        /// The companyzipcode.
        /// </summary>
        COMPANYZIPCODE,

        /// <summary>
        /// The companycity.
        /// </summary>
        COMPANYCITY,

        /// <summary>
        /// The companycountry.
        /// </summary>
        COMPANYCOUNTRY,

        /// <summary>
        /// The companygln.
        /// </summary>
        COMPANYGLN,

        /// <summary>
        /// The companywawi.
        /// </summary>
        COMPANYWAWI
    }

    /// <summary>
    /// The company search templates.
    /// </summary>
    public static class CompanySearchTemplates
    {
        #region Public Methods and Operators
        /// <summary>
        /// Returns a definition of the default search template.
        /// </summary>
        /// <returns>
        /// The <see cref="List"/>.
        /// </returns>
        public static List<SEARCHFIELDS> GetDefaultTemplate()
        {
            return null;
        }

        /// <summary>
        /// Get search template by fieldname.
        /// </summary>
        /// <param name="fieldName">
        /// </param>
        /// <returns>
        /// The <see cref="List"/>.
        /// </returns>
        public static List<SEARCHFIELDS> GetSearchTemplateByFieldName(string fieldName)
        {
            return null;
        }

        /// <summary>
        /// Returns a definition of the supplier search template.
        /// </summary>
        /// <returns>
        /// The <see cref="List"/>.
        /// </returns>
        public static List<SEARCHFIELDS> GetSupplierTemplate()
        {
            return null;
        }
        #endregion
    }
}