﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CompanySelectionAddModel.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.CompanySelection
{
    #region usings
    using System;

    using Fruitmonitoring.Models;

    #endregion

    /// <summary>
    /// Use this model if you want to add an company via the company selection extension.
    /// </summary>
    public class CompanySelectionAddModel : USP_Company_Sel_Result
    {
        #region Properties

        // this alias is needed, because devexpress forces uniqueness for each textbox, combobox etc.
        // if the selection box is shown in the "addSample" form, there are 2 comboboxes with the same name "country_id" ( 1. in the sample form / 2. in the add-company form)
        // so we provide an alias for the the country_id property
        /// <summary>
        /// Gets or sets the country_id_ alias.
        /// </summary>
        public Guid Country_id_Alias
        {
            get
            {
                return Country_id;
            }

            set
            {
                Country_id = value;
            }
        }
        #endregion

        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="CompanySelectionAddModel"/> class.
        /// </summary>
        public CompanySelectionAddModel()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="CompanySelectionAddModel"/> class.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        public CompanySelectionAddModel(USP_Company_Sel_Result model)
        {
        }
        #endregion
    }
}