﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="IPeriodOfTimeSelection.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.PeriodOfTimeSelection
{
    #region usings
    using System.Web.Mvc;

    #endregion

    /// <summary>
    /// The PeriodOfTimeSelection interface.
    /// </summary>
    internal interface IPeriodOfTimeSelection
    {
        #region Public Methods and Operators
        /// <summary>
        /// Called, if period filter for dashboard is changed
        /// load new gridview with data for the period
        /// if "period" and "withCurrentYear" is provided, generate the from-date and to-date in this action
        /// otherwise use the value from "dateFromTo".
        /// </summary>
        /// <param name="selectionValue">
        /// The selection Value.
        /// </param>
        /// <param name="period">
        /// Year-count for the from-date. the value is substracted from the actual year (e.g. "2013 - period = fromYear").
        /// </param>
        /// <param name="withCurrentYear">
        /// Needed for custom year generation. define if the dates should take into account the current year.
        /// </param>
        /// <param name="filterExpression">
        /// The gridviews filter expression.
        /// </param>
        /// <returns>
        /// Gridview partial view.
        /// </returns>
        ActionResult PeriodListView(string selectionValue = "", int period = -1, bool withCurrentYear = false, string filterExpression = "");
        #endregion
    }
}