﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="PeriodOfTimeExtensionHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.PeriodOfTimeSelection
{
    #region usings
    using System;
    using System.Text.RegularExpressions;

    using Fruitmonitoring.Helper.Utility;

    using Languages;

    #endregion

    /// <summary>
    /// The period of time extension helper.
    /// </summary>
    public class PeriodOfTimeExtensionHelper
    {
        #region Methods
        /// <summary>
        /// Get a well formatted datetime object, calculated by the given parameters.
        /// </summary>
        /// <param name="dateFromTo">
        /// A date "from" "to" string separated by "-" (e.g. 20120101-20121231).
        /// </param>
        /// <param name="dateType">
        /// Return date from or date to.
        /// </param>
        /// <param name="period">
        /// Year-count for the from-date. the value is substracted from the actual year (e.g. "2013 - period = fromYear").
        /// </param>
        /// <param name="withCurrentYear">
        /// Needed for custom year generation. define if the dates should take into account the current year.
        /// </param>
        /// <returns>
        /// The <see cref="DateTime"/>.
        /// </returns>
        private DateTime CalculateDateFromOrTo(string dateFromTo, DateType dateType, int period = -1, bool withCurrentYear = false)
        {
            return new DateTime();
        }
        #endregion

        #region Nested type: DateType

        #region Enums
        /// <summary>
        /// The date type.
        /// </summary>
        private enum DateType
        {
            /// <summary>
            /// The datefrom.
            /// </summary>
            DATEFROM,

            /// <summary>
            /// The dateto.
            /// </summary>
            DATETO
        }
        #endregion

        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// Get a well formatted datetime object, calculated by the given parameters.
        /// </summary>
        /// <param name="dateFromTo">
        /// A date "from" "to" string separated by "-" (e.g. 20120101-20121231).
        /// </param>
        /// <param name="period">
        /// Year-count for the from-date. the value is substracted from the actual year (e.g. "2013 - period = fromYear").
        /// </param>
        /// <param name="withCurrentYear">
        /// Needed for custom year generation. define if the dates should take into account the current year.
        /// </param>
        /// <returns>
        /// The <see cref="DateTime"/>.
        /// </returns>
        public DateTime GetFromDate(string dateFromTo, int period = -1, bool withCurrentYear = false)
        {
            return new DateTime();
        }

        /// <summary>
        /// Get a well formatted datetime object, calculated by the given parameters.
        /// </summary>
        /// <param name="dateFromTo">
        /// A date "from" "to" string separated by "-" (e.g. 20120101-20121231).
        /// </param>
        /// <param name="period">
        /// Year-count for the from-date. the value is substracted from the actual year (e.g. "2013 - period = fromYear").
        /// </param>
        /// <param name="withCurrentYear">
        /// Needed for custom year generation. define if the dates should take into account the current year.
        /// </param>
        /// <returns>
        /// The <see cref="DateTime"/>.
        /// </returns>
        public DateTime GetToDate(string dateFromTo, int period = -1, bool withCurrentYear = false)
        {
            return new DateTime();
        }
        #endregion
    }
}