﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ProductSingleElementsManagementAddModel.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.ProductSingleElementsManagement
{
    #region usings
    using System;

    using Fruitmonitoring.Models;

    #endregion

    /// <summary>
    /// Use this model if you want to add an company via the company selection extension.
    /// </summary>
    public class ProductSingleElementsManagementAddModel : USP_SingleElements_Sel_Result
    {
        #region Properties

        // this alias is needed, because devexpress forces uniqueness for each textbox, combobox etc.
        // if the selection box is shown in the "addSample" form, there are 2 comboboxes with the same name "country_id and product_id" ( 1. in the sample form / 2. in the add singlelement form)
        // so we provide an alias for the the country_id and product_id property
        /// <summary>
        /// Gets or sets the country_id_ alias_ single element.
        /// </summary>
        public Guid Country_id_Alias_SingleElement
        {
            get
            {
                return Country_id;
            }

            set
            {
                Country_id = value;
            }
        }

        // additionalField for switch
        /// <summary>
        /// Gets or sets a value indicating whether is order.
        /// </summary>
        public bool IsOrder { get; set; }

        /// <summary>
        /// Gets or sets the product_id_ alias_ single element.
        /// </summary>
        public Guid Product_id_Alias_SingleElement
        {
            get
            {
                return Product_id;
            }

            set
            {
                Product_id = value;
            }
        }
        #endregion

        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="ProductSingleElementsManagementAddModel"/> class.
        /// </summary>
        public ProductSingleElementsManagementAddModel()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ProductSingleElementsManagementAddModel"/> class.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        public ProductSingleElementsManagementAddModel(USP_SingleElements_Sel_Result model)
        {
        }
        #endregion
    }
}