﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SampleRatingManagementController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.SampleRatingManagement
{
    #region

    #region usings
    using System;
    using System.Linq;
    using System.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.ActionAttributes;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;

    #endregion

    #endregion

    // interner oder Ajax aufgerufen grundsätzlich eingeloggte
    // Einschränkung Labor (Test)
    /// <summary>
    /// The sample rating management controller.
    /// </summary>
    public class SampleRatingManagementController : BaseGridViewController
    {
        #region Constructors and Destructors

        #region constructors
        /// <summary>
        /// Initializes a new instance of the <see cref="SampleRatingManagementController"/> class.
        /// constructor provides important informations to the view.
        /// </summary>
        /// <param name="controllerName">
        /// Name of the controller, which should handle the incomming gridview requests.
        /// </param>
        /// <param name="gridViewId">
        /// The unique gridview retialerCompanyId.
        /// </param>
        public SampleRatingManagementController()
            : base(GridViewHelper.SAMPLERATINGMANAGEMENTCONTROLLERNAME, GridViewHelper.SAMPLERATINGMANAGEMENTGRIDVIEWID, false, false)
        {
        }
        #endregion

        #endregion

        #region actionresult
        /// <summary>
        /// The grid view list view.
        /// </summary>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        /// <exception cref="NotImplementedException">
        /// </exception>
        [NonAction]
        public override ActionResult GridViewListView()
        {
            return null;
        }

        /// <summary>
        /// The grid view list view.
        /// </summary>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        /// <exception cref="NotImplementedException">
        /// </exception>
        [NonAction]
        public override ActionResult GridViewListViewInit()
        {
            return null;
        }

        /// <summary>
        /// </summary>
        /// <param name="sampleId">
        /// The sample Id.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [AjaxOrChildActionOnly]
        public ActionResult SampleRatingGridViewListView(Guid sampleId)
        {
            return null;
        }

        /// <summary>
        /// Add method
        /// </summary>
        /// <param name="model">
        /// </param>
        /// <param name="returnView">
        /// </param>
        /// <param name="userAccountGuid">
        /// Only needed as a parameter when called explicitly after manually instantiating a new controller object, since there is no user context in this case
        /// </param>
        /// <returns>
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        [AjaxOrChildActionOnly]
        public ActionResult Add(USP_SampleRating_Sel_Result model, bool returnView = true, Guid? userAccountGuid = null)
        {
            return null;
        }

        /// <summary>
        /// The delete.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <param name="sampleId">
        /// The sample id.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [AjaxOrChildActionOnly]
        public ActionResult Delete(USP_SampleRating_Sel_Result model, Guid sampleId)
        {
            return null;
        }

        /// <summary>
        /// The edit.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        [AjaxOrChildActionOnly]
        public ActionResult Edit(USP_SampleRating_Sel_Result model)
        {
            return null;
        }

        /// <summary>
        /// The re load rating area drop down.
        /// </summary>
        /// <param name="ratingSchemaId">
        /// The rating schema id.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [AjaxOrChildActionOnly]
        public ActionResult ReLoadRatingAreaDropDown(Guid ratingSchemaId)
        {
            return null;
        }

        /// <summary>
        /// The load rating area drop down.
        /// </summary>
        /// <param name="sampleRating">
        /// The sample rating.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [AjaxOrChildActionOnly]
        public ActionResult LoadRatingAreaDropDown(USP_SampleRating_Sel_Result sampleRating)
        {
            return null;
        }
        #endregion

        #region methods
        /// <summary>
        /// Get delegate sp for add sample rating.
        /// </summary>
        /// <param name="model">
        /// </param>
        /// <param name="accountGuid">
        /// Needed for sample history
        /// </param>
        /// <returns>
        /// </returns>
        public DelegateAdd GetDelegateAdd(USP_SampleRating_Sel_Result model, Guid accountGuid)
        {
            return null;
        }

        /// <summary>
        /// The load rating areas view data.
        /// </summary>
        /// <param name="ratingSchema_id">
        /// The rating schema_id.
        /// </param>
        private void loadRatingAreasViewData(Guid ratingSchema_id)
        {
        }

        /// <summary>
        /// The load view data.
        /// </summary>
        /// <param name="sampleId">
        /// The sample id.
        /// </param>
        private void loadViewData(Guid sampleId)
        {
        }

        /// <summary>
        /// The load view data for form.
        /// </summary>
        /// <param name="sampleId">
        /// The sample id.
        /// </param>
        /// <param name="viewData">
        /// The view data.
        /// </param>
        public void loadViewDataForForm(Guid sampleId, ViewDataDictionary viewData)
        {
        }
        #endregion
    }
}