﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="LoginFormat.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper
{
    /// <summary>
    /// The logger.
    /// </summary>
    public partial class Logger
    {
        #region Nested type: LoginFormat
        /// <summary>
        /// The login format.
        /// </summary>
        public class LoginFormat
        {
            #region LoginStatusTagForLog enum

            #region Enums
            /// <summary>
            /// The login status tag for log.
            /// </summary>
            public enum LoginStatusTagForLog
            {
                /// <summary>
                /// The login success.
                /// </summary>
                LoginSuccess,

                /// <summary>
                /// The login failed.
                /// </summary>
                LoginFailed,

                /// <summary>
                /// The login validation failed.
                /// </summary>
                LoginValidationFailed,

                /// <summary>
                /// The logout.
                /// </summary>
                Logout,

                /// <summary>
                /// The passive logout.
                /// </summary>
                PassiveLogout,

                /// <summary>
                /// The password change.
                /// </summary>
                PasswordChange,

                /// <summary>
                /// The forget password.
                /// </summary>
                ForgetPassword
            }
            #endregion

            #endregion

            #region Public Methods and Operators
            /// <summary>
            /// The account logger format.
            /// </summary>
            /// <param name="username">
            /// The username.
            /// </param>
            /// <param name="ipAddress">
            /// The ip address.
            /// </param>
            /// <param name="tag">
            /// The tag.
            /// </param>
            /// <param name="comment">
            /// The comment.
            /// </param>
            /// <returns>
            /// The <see cref="string"/>.
            /// </returns>
            public static string AccountLoggerFormat(string username, string ipAddress, LoginStatusTagForLog tag, string comment = "-")
            {
                return string.Format("User:{0}; IP:{1}; Type:{2}; Comment:{3}", username, ipAddress, tag.ToString(), comment);
            }
            #endregion
        }
        #endregion
    }
}