﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="Sample.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper
{
    /// <summary>
    /// The logger.
    /// </summary>
    public partial class Logger
    {
        #region Nested type: Sample
        /// <summary>
        /// The sample.
        /// </summary>
        public class Sample
        {
            #region Constructors and Destructors

            #region contructors
            /// <summary>
            /// Initializes a new instance of the <see cref="Sample"/> class.
            /// use this class to fill the sample-logger with correct values.
            /// </summary>
            /// <param name="sampleID">
            /// RetialerCompanyId of the sample.
            /// </param>
            /// <param name="command">
            /// Command of the sample.
            /// </param>
            public Sample(string sampleID, COMMAND command)
            {
                SampleID = sampleID;
                Command = command;
            }
            #endregion

            #endregion

            #region Public Methods and Operators

            #region methods
            /// <summary>
            /// The to string.
            /// </summary>
            /// <returns>
            /// The <see cref="string"/>.
            /// </returns>
            public override string ToString()
            {
            return null;
            }
            #endregion

            #endregion

            #region variables
            /// <summary>
            /// Which command was executed.
            /// </summary>
            public enum COMMAND
            {
                /// <summary>
                /// The insert.
                /// </summary>
                INSERT,

                /// <summary>
                /// The delete.
                /// </summary>
                DELETE,

                /// <summary>
                /// The update.
                /// </summary>
                UPDATE
            };

            /// <summary>
            /// Gets or sets the sample id.
            /// </summary>
            public string SampleID { get; set; }

            /// <summary>
            /// Gets or sets the command.
            /// </summary>
            public COMMAND Command { get; set; }
            #endregion
        }
        #endregion
    }
}