﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="EdekaSampleTransferObserver.cs.cs" company="convivo GmbH">
//    Copyright © 2015 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Modules.EdekaWebService
{
    #region usings
    using System;
    using System.Threading.Tasks;

    using Fruitmonitoring.Helper.Modules.SampleTransferObservers;
    using Fruitmonitoring.Helper.Utility;

    using log4net;

    #endregion

    /// <summary>
    /// This class writes sample data to edeka database via xml webservice.
    /// </summary>
    public class EdekaSampleTransferObserver : IObserver<SampleTransferInfo>
    {
        #region Properties

        #region Fields
        /// <summary>
        /// The _edeka transfer log.
        /// </summary>
        private readonly ILog _edekaTransferLog;
        #endregion

        #endregion

        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="EdekaSampleTransferObserver"/> class.
        /// creates a new edeka-sample-transfer observer.
        /// </summary>
        public EdekaSampleTransferObserver()
        {
        }
        #endregion

        #region IObserver<SampleTransferInfo> Members
        /// <summary>
        /// The on completed.
        /// </summary>
        /// <exception cref="NotImplementedException">
        /// </exception>
        public void OnCompleted()
        {
        }

        /// <summary>
        /// The on error.
        /// </summary>
        /// <param name="error">
        /// The error.
        /// </param>
        public void OnError(Exception error)
        {
        }

        /// <summary>
        /// Each sample that was tranfered comes in here.
        /// </summary>
        /// <param name="value">
        /// All information that belongs to a sample.
        /// </param>
        public void OnNext(SampleTransferInfo value)
        {
        }
        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// The subscribe.
        /// </summary>
        public void Subscribe()
        {
        }
        #endregion
    }
}