﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="EdekaTransferException.cs.cs" company="convivo GmbH">
//    Copyright © 2015 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Modules.EdekaWebService
{
    #region usings
    using System;

    #endregion

    /// <summary>
    /// Use this exception if the edeka transfer failed.
    /// </summary>
    public class EdekaTransferException : Exception
    {
        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="EdekaTransferException"/> class.
        /// </summary>
        public EdekaTransferException()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="EdekaTransferException"/> class.
        /// </summary>
        /// <param name="message">
        /// The message.
        /// </param>
        public EdekaTransferException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="EdekaTransferException"/> class.
        /// </summary>
        /// <param name="message">
        /// The message.
        /// </param>
        /// <param name="inner">
        /// The inner.
        /// </param>
        public EdekaTransferException(string message, Exception inner)
            : base(message, inner)
        {
        }
        #endregion
    }
}