﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ParameterGroupHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.ParameterGroup
{
    /// <summary>
    /// The parameter group helper.
    /// </summary>
    public class ParameterGroupHelper
    {
        #region ParameterGroupType enum

        #region Enums
        /// <summary>
        /// The parameter group type.
        /// </summary>
        public enum ParameterGroupType
        {
            /// <summary>
            /// The analysisinternalstandard.
            /// </summary>
            ANALYSISINTERNALSTANDARD,

            /// <summary>
            /// The analysisinternalsingle.
            /// </summary>
            ANALYSISINTERNALSINGLE,

            /// <summary>
            /// The analysisexternal.
            /// </summary>
            ANALYSISEXTERNAL
        }
        #endregion

        #endregion

        #region Static Fields
        /// <summary>
        /// The radiobuttonprefix.
        /// </summary>
        public static readonly string RADIOBUTTONPREFIX = "ParameterGroup";

        /// <summary>
        /// The radiobuttonnameanalysisexternal.
        /// </summary>
        public static readonly string RADIOBUTTONNAMEANALYSISEXTERNAL = RADIOBUTTONPREFIX + ParameterGroupType.ANALYSISEXTERNAL;

        /// <summary>
        /// The radiobuttonnameanalysisinternalsingle.
        /// </summary>
        public static readonly string RADIOBUTTONNAMEANALYSISINTERNALSINGLE = RADIOBUTTONPREFIX + ParameterGroupType.ANALYSISINTERNALSINGLE;

        /// <summary>
        /// The radiobuttonnameanalysisinternalstandard.
        /// </summary>
        public static readonly string RADIOBUTTONNAMEANALYSISINTERNALSTANDARD = RADIOBUTTONPREFIX + ParameterGroupType.ANALYSISINTERNALSTANDARD;

        /// <summary>
        /// The textfieldcomment.
        /// </summary>
        public static readonly string TEXTFIELDCOMMENT = "ParameterGroupComment";
        #endregion
    }
}