﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CultureHelperLanguageChanger.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility
{
    #region usings
    using System;
    using System.Globalization;
    using System.Threading;

    #endregion

    /// <summary>
    /// Use this class in a using block
    /// changes the language until the "using" block ends.
    /// </summary>
    public class CultureHelperLanguageChanger : IDisposable
    {
        #region Properties

        #region Fields
        /// <summary>
        /// The old culture.
        /// </summary>
        private readonly string oldCulture = string.Empty;
        #endregion

        #endregion

        #region Constructors and Destructors
        /// <summary>
        /// Initializes a new instance of the <see cref="CultureHelperLanguageChanger"/> class.
        /// </summary>
        /// <param name="cultureName">
        /// The culture name.
        /// </param>
        public CultureHelperLanguageChanger(string cultureName)
        {
            oldCulture = Thread.CurrentThread.CurrentCulture.Name;

            Thread.CurrentThread.CurrentCulture = CultureInfo.CreateSpecificCulture(cultureName);
            Thread.CurrentThread.CurrentUICulture = CultureInfo.CreateSpecificCulture(cultureName);
        }
        #endregion

        #region IDisposable Members

        #region Public Methods and Operators

        #region IDisposable Member
        /// <summary>
        /// The dispose.
        /// </summary>
        public void Dispose()
        {
        }
        #endregion

        #endregion

        #endregion
    }
}