﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="EnumExtensionHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Reflection;

    #endregion

    /// <summary>
    /// Example from blog.spontaneouspublicity.com/associating-strings-with-enums-in-c.
    /// </summary>
    public class EnumExtensionHelper
    {
        #region Methods
        /// <summary>
        /// The get enum display name.
        /// </summary>
        /// <param name="value">
        /// The value.
        /// </param>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        internal static string GetEnumDisplayName(Enum value)
        {
            FieldInfo fi = value.GetType().GetField(value.ToString());

            var attributes = (DisplayNameAttribute[])fi.GetCustomAttributes(typeof(DisplayNameAttribute), true);

            if (attributes != null && attributes.Length > 0)
            {
                return attributes[0].DisplayName;
            }
            else
            {
                return value.ToString();
            }
        }
        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// Get a list of Enum descriptions.
        /// </summary>
        /// <typeparam name="T">
        /// Type of enum.
        /// </typeparam>
        /// <returns>
        /// List of the Description of Descriptions for Enums.
        /// </returns>
        public static IEnumerable<string> EnumDescriptionToList<T>()
        {
            return null;
        }

        /// <summary>
        /// </summary>
        /// <param name="value">
        /// </param>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        public static string GetEnumDescription(Enum value)
        {
            return null;
        }
        #endregion
    }
}