﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CheckBoxListExtensionHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility.ExtensionHelper
{
    #region usings
    using DevExpress.Web.Mvc;

    #endregion

    /// <summary>
    /// The CheckBoxListExtensionHelper interface.
    /// </summary>
    public interface ICheckBoxListExtensionHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// The get selected values.
        /// </summary>
        /// <param name="checkBoxName">
        /// The check box name.
        /// </param>
        /// <typeparam name="T">
        /// </typeparam>
        /// <returns>
        /// The <see cref="T[]"/>.
        /// </returns>
        T[] GetSelectedValues<T>(string checkBoxName);
        #endregion
    }

    /// <summary>
    /// The check box list extension helper.
    /// </summary>
    public class CheckBoxListExtensionHelper : ICheckBoxListExtensionHelper
    {
        #region ICheckBoxListExtensionHelper Members

        #region Public Methods and Operators
        /// <summary>
        /// The get selected values.
        /// </summary>
        /// <param name="checkBoxName">
        /// The check box name.
        /// </param>
        /// <typeparam name="T">
        /// </typeparam>
        /// <returns>
        /// The <see cref="T[]"/>.
        /// </returns>
        public T[] GetSelectedValues<T>(string checkBoxName)
        {
            return CheckBoxListExtension.GetSelectedValues<T>(checkBoxName);
        }
        #endregion

        #endregion
    }
}