﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="GridViewExtensionHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility.ExtensionHelper
{
    #region usings
    using System.Collections.Generic;
    using System.Web.Mvc;

    using DevExpress.Export;
    using DevExpress.Web.Mvc;
    using DevExpress.XtraPrinting;

    #endregion

    /// <summary>
    /// The GridViewExtensionHelper interface.
    /// </summary>
    public interface IGridViewExtensionHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// The export to xlsx.
        /// </summary>
        /// <param name="settings">
        /// The settings.
        /// </param>
        /// <param name="data">
        /// The data.
        /// </param>
        /// <typeparam name="T">
        /// </typeparam>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        ActionResult ExportToXlsx<T>(GridViewSettings settings, List<T> data);

        /// <summary>
        /// The get view model.
        /// </summary>
        /// <param name="gridViewId">
        /// The grid view id.
        /// </param>
        /// <returns>
        /// The <see cref="GridViewModel"/>.
        /// </returns>
        GridViewModel GetViewModel(string gridViewId);
        #endregion
    }

    /// <summary>
    /// The grid view extension helper.
    /// </summary>
    public class GridViewExtensionHelper : IGridViewExtensionHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// The export to xlsx.
        /// </summary>
        /// <param name="settings">
        /// The settings.
        /// </param>
        /// <param name="data">
        /// The data.
        /// </param>
        /// <typeparam name="T">
        /// </typeparam>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        public ActionResult ExportToXlsx<T>(GridViewSettings settings, List<T> data)
        {
            return null;
        }

        /// <summary>
        /// The get view model.
        /// </summary>
        /// <param name="gridViewId">
        /// The grid view id.
        /// </param>
        /// <returns>
        /// The <see cref="GridViewModel"/>.
        /// </returns>
        public GridViewModel GetViewModel(string gridViewId)
        {
            return null;
        }
        #endregion
    }
}