﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ListBoxExtensionHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility.ExtensionHelper
{
    #region usings
    using DevExpress.Web.Mvc;

    #endregion

    /// <summary>
    /// The ListBoxExtensionHelper interface.
    /// </summary>
    public interface IListBoxExtensionHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// The get selected values.
        /// </summary>
        /// <param name="listBoxName">
        /// The list box name.
        /// </param>
        /// <typeparam name="T">
        /// </typeparam>
        /// <returns>
        /// The <see cref="T[]"/>.
        /// </returns>
        T[] GetSelectedValues<T>(string listBoxName);
        #endregion
    }

    /// <summary>
    /// The list box extension helper.
    /// </summary>
    public class ListBoxExtensionHelper : IListBoxExtensionHelper
    {
        #region IListBoxExtensionHelper Members

        #region Public Methods and Operators
        /// <summary>
        /// The get selected values.
        /// </summary>
        /// <param name="listBoxName">
        /// The list box name.
        /// </param>
        /// <typeparam name="T">
        /// </typeparam>
        /// <returns>
        /// The <see cref="T[]"/>.
        /// </returns>
        public T[] GetSelectedValues<T>(string listBoxName)
        {
            return ListBoxExtension.GetSelectedValues<T>(listBoxName);
        }
        #endregion

        #endregion
    }
}