﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ExtensionMethods.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility
{
    #region usings
    using System.Collections.Generic;

    #endregion

    /// <summary>
    /// The extension methods.
    /// </summary>
    public static class ExtensionMethods
    {
        #region Public Methods and Operators
        /// <summary>
        /// Adds an item to a list once after the referenced item.
        /// </summary>
        /// <param name="list">
        /// </param>
        /// <param name="referenceItem">
        /// The reference Item.
        /// </param>
        /// <param name="itemToBeAdded">
        /// The item To Be Added.
        /// </param>
        public static void AddAfter(this List<string> list, string referenceItem, string itemToBeAdded)
        {
        }

        /// <summary>
        /// This removes trailing zeros from decimals, see
        /// http://stackoverflow.com/questions/4525854/remove-trailing-zeros/7983330#7983330.
        /// </summary>
        /// <param name="value">
        /// </param>
        /// <returns>
        /// The <see cref="decimal"/>.
        /// </returns>
        public static decimal Normalize(this decimal value)
        {
            return 0;
        }

        /// <summary>
        /// Conditional ToLower().
        /// </summary>
        /// <param name="str">
        /// </param>
        /// <param name="condition">
        /// </param>
        /// <returns>
        /// The string converted to lower case if condition is true, otherwise the unchanged string.
        /// </returns>
        public static string ToLowerIf(this string str, bool condition)
        {
            return condition ? str.ToLower() : str;
        }
        #endregion
    }
}