﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="GLNCheck.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility.GLNChecker
{
    #region usings
    using System;
    using System.Linq;
    using System.Text.RegularExpressions;
    using ExtensionHelper;
    using GS1ServiceReference;
    using log4net;
    using Models;
    using Validation;
    using Translations = Languages.Pages.Admin.CustomerMasterdata.Company.Company;

    #endregion

    /// <summary>
    /// The gln check.
    /// </summary>
    public class GLNCheck
    {
        #region Constants
        /// <summary>
        /// The requestorgln.
        /// </summary>
        private const string REQUESTORGLN = "4399902144629"; // We use HDE's GLN for 'authentication'.
        #endregion

        #region Fields
        /// <summary>
        /// The error log.
        /// </summary>
        protected readonly ILog ErrorLog = LogManager.GetLogger("ErrorLogger");

        /// <summary>
        /// The soap client helper.
        /// </summary>
        private readonly IGepirSoapClientHelper soapClientHelper = new GepirSoapClientHelper();
        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// Checks a GLN against GS1's web service. Needs db access for getting the country since GS1 only provides the country code.
        /// </summary>
        /// <param name="searchGln">
        /// The GLN to be checked.
        /// </param>
        /// <param name="db">
        /// The db object.
        /// </param>
        /// <returns>
        /// Information about the company that belongs to the GLN.
        /// </returns>
        public GLNData Check(string searchGln, Entities db)
        {
            return null;
        }

        /// <summary>
        /// Set additional information to gln-data if there was an error on accessing the webservice.
        /// </summary>
        /// <param name="searchGln">The gln that was searched.</param>
        /// <param name="glnData">The gln-data that should receive the information.</param>
        private void HandleWebServiceFailure(string searchGln, GLNData glnData)
        {
        }

        /// <summary>
        /// Set additional information to gln-data if the gln is invalid.
        /// </summary>
        /// <param name="searchGln">The gln that is invalid.</param>
        /// <param name="glnData">The gln-data that should receive the information.</param>
        private void HandleInvalidGLN(string searchGln, GLNData glnData)
        {
        }

        /// <summary>
        /// Set additional information to gln-data if the gln was not found.
        /// </summary>
        /// <param name="searchGln">The gln that is invalid.</param>
        /// <param name="glnData">The gln-data that should receive the information.</param>
        private void HandleGLNNotFound(string searchGln, GLNData glnData)
        {
        }

        /// <summary>
        /// Convert ResultCode to human readable text.
        /// </summary>
        /// <param name="resultCode">
        /// The result code.
        /// </param>
        /// <param name="searchGln">
        /// The searched gln.
        /// </param>
        /// <returns>
        /// A human readable result text.
        /// </returns>
        private string GetResultDescription(int resultCode, string searchGln)
        {
            return null;
        }

        /// <summary>
        /// Access GS1s web service.
        /// </summary>
        /// <param name="requestorGln">
        /// The requestor gln. Needed for webservice authentication.
        /// </param>
        /// <param name="searchGln">
        /// The gln that should be searched.
        /// </param>
        /// <param name="db">
        /// Th db object.
        /// </param>
        /// <param name="glnData">
        /// The object will be filled with the informations received by the webservice.
        /// </param>
        private void AccessService(string requestorGln, string searchGln, Entities db, GLNData glnData)
        {
        }

        /// <summary>
        /// Fills the given gln-data object with the information from the response.
        /// </summary>
        /// <param name="db">
        /// The db object.
        /// </param>
        /// <param name="glnData">
        /// GLN data taht should receive the information from the response.
        /// </param>
        /// <param name="response">
        /// The gepir response object.
        /// </param>
        /// <param name="searchGln">
        /// The gln that was searched.
        /// </param>
        private void MapResponseDataToGLNData(Entities db, GLNData glnData, getKeyLicenseeResponse response, string searchGln)
        {
        }

        /// <summary>
        /// Creates the gepir request header.
        /// </summary>
        /// <param name="requestorGln">The gln of the requestor.</param>
        /// <returns>The request header.</returns>
        private RequestHeaderType CreateRequestHeader(string requestorGln)
        {
            return null;
        }

        /// <summary>
        /// Creates the gepir request object.
        /// </summary>
        /// <param name="searchGln">The gln that should be searched for.</param>
        /// <returns>The gepir request.</returns>
        private getKeyLicensee CreateRequest(string searchGln)
        {
            return null;
        }

        /// <summary>
        /// The get country.
        /// </summary>
        /// <param name="countryCode">
        /// The country code.
        /// </param>
        /// <param name="db">
        /// The db.
        /// </param>
        /// <returns>
        /// The <see cref="USP_Country_Sel_Result"/>.
        /// </returns>
        private USP_Country_Sel_Result GetCountry(string countryCode, Entities db)
        {
            return null;
        }

        /// <summary>
        /// Checks if a GLN has the right format.
        /// </summary>
        /// <param name="gln">
        /// The GLn to check.
        /// </param>
        /// <returns>
        /// True if GLN is valid. Otherwise false.
        /// </returns>
        private bool IsValidGLN(string gln)
        {
            return false;
        }
        #endregion
    }
}