#region Copyright  convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="GridViewCustomButton.cs.cs" company="convivo GmbH">
//    Copyright  2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility
{
    #region usings
    using System.Text;

    #endregion

    /// <summary>
    /// This class represents a custom command column button for the gridview.
    /// </summary>
    public class GridViewCustomButton
    {
        #region Properties
        /// <summary>
        /// Gets or sets the action url.
        /// </summary>
        public string ActionUrl { get; set; }

        /// <summary>
        /// Gets or sets the button text.
        /// </summary>
        public string ButtonText { get; set; }

        /// <summary>
        /// Gets or sets the id.
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// Gets or sets the image url.
        /// </summary>
        public string ImageUrl { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether is edit form.
        /// </summary>
        public bool IsEditForm { get; set; }

        /// <summary>
        /// Gets or sets the popup header text.
        /// </summary>
        public string PopupHeaderText { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether show additional content in popup.
        /// </summary>
        public bool ShowAdditionalContentInPopup { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether show default submit button.
        /// </summary>
        public bool ShowDefaultSubmitButton { get; set; }

        /// <summary>
        /// Gets or sets the tool tip text.
        /// </summary>
        public string ToolTipText { get; set; }
        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// Return string in JSON Representation.
        /// </summary>
        /// <returns>
        /// Properties as Json string.
        /// </returns>
        public string getPropertyList()
        {
            return null;
        }
        #endregion
    }
}