﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="IGridViewSettingsHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility.Interfaces
{
    #region usings
    using System;

    #endregion

    /// <summary>
    /// The GridViewSettingsHelper interface.
    /// </summary>
    internal interface IGridViewSettingsHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// The get user layout for component.
        /// </summary>
        /// <param name="accountGuid">
        /// The account guid.
        /// </param>
        /// <param name="gridView">
        /// The grid view.
        /// </param>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        string GetUserLayoutForComponent(Guid accountGuid, string gridView);

        /// <summary>
        /// The reset user layout in database.
        /// </summary>
        /// <param name="accountGuid">
        /// The account guid.
        /// </param>
        /// <param name="gridView">
        /// The grid view.
        /// </param>
        void ResetUserLayoutInDatabase(Guid accountGuid, string gridView);

        /// <summary>
        /// The save user layout to database.
        /// </summary>
        /// <param name="accountGuid">
        /// The account guid.
        /// </param>
        /// <param name="gridView">
        /// The grid view.
        /// </param>
        /// <param name="value">
        /// The value.
        /// </param>
        void SaveUserLayoutToDatabase(Guid accountGuid, string gridView, string value);
        #endregion
    }
}