﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ClassificationAttribute.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Validation
{
    #region usings
    using Fruitmonitoring.Helper.Utility;

    #endregion

    /// <summary>
    /// The classification attribute.
    /// </summary>
    public class ClassificationAttribute : RequiredIfPropertyHasValue
    {
        #region Constructors and Destructors

        #region construtor
        /// <summary>
        /// Initializes a new instance of the <see cref="ClassificationAttribute"/> class.
        /// </summary>
        public ClassificationAttribute()
            : base(
                "CompanyType_JoinedList_CompanyType_id",
                DbGuidHelper.GetCompanyTypeId(DbGuidHelper.CompanyTypes.LABORATORY).ToString().ToLower(),
                ValidationHelper.CLASSIFICATIONREGEX)
        {
        }
        #endregion

        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// Custom error message format.
        /// </summary>
        /// <param name="name">
        /// Fieldname which is not valid.
        /// </param>
        /// <returns>
        /// Formated error message.
        /// </returns>
        public override string FormatErrorMessage(string name)
        {
            return null;
        }
        #endregion
    }
}