﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CompanyTypeAttribute.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Validation
{
    #region usings
    using System;
    using System.ComponentModel.DataAnnotations;
    using System.Globalization;
    using System.Linq;

    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.AccessRules;
    using Fruitmonitoring.Models;

    #endregion

    /// <summary>
    /// Check if a company belongs to a given type
    /// can only used by ids, that are company-ids.
    /// </summary>
    public class CompanyTypeAttribute : ValidationAttribute
    {
        #region Properties

        #region variables
        /// <summary>
        /// Gets the company type.
        /// </summary>
        public Type CompanyType { get; private set; }
        #endregion

        #endregion

        #region Constructors and Destructors

        #region constructors
        /// <summary>
        /// Initializes a new instance of the <see cref="CompanyTypeAttribute"/> class.
        /// constructor.
        /// </summary>
        /// <param name="companyType">
        /// The company Type.
        /// </param>
        public CompanyTypeAttribute(Type companyType)
            : base("\"{0}\" ist nicht richtig.")
        {
            // default error message
            CompanyType = companyType;
        }
        #endregion

        #endregion

        #region methods
        /// <summary>
        /// Custom error message format.
        /// </summary>
        /// <param name="name">
        /// Fieldname which is not unique (not valid).
        /// </param>
        /// <returns>
        /// Formatted error message.
        /// </returns>
        public override string FormatErrorMessage(string name)
        {
            return null;
        }

        /// <summary>
        /// Check if an given retailerCompanyId belongs to a specific companytype.
        /// </summary>
        /// <param name="value">
        /// Current value to check.
        /// </param>
        /// <param name="validationContext">
        /// </param>
        /// <returns>
        /// The <see cref="ValidationResult"/>.
        /// </returns>
        protected override ValidationResult IsValid(object value, ValidationContext validationContext)
        {
            return null;
        }
        #endregion
    }
}