﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SampleResultsDoCountAttribute.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Validation
{
    #region usings
    using System;
    using System.ComponentModel.DataAnnotations;
    using System.Globalization;
    using System.Linq;

    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Models;

    #endregion

    /// <summary>
    /// The sample results do count attribute.
    /// </summary>
    public class SampleResultsDoCountAttribute : ValidationAttribute
    {
        #region Constructors and Destructors

        #region constructors
        /// <summary>
        /// Initializes a new instance of the <see cref="SampleResultsDoCountAttribute"/> class.
        /// constructor.
        /// </summary>
        public SampleResultsDoCountAttribute()
            : base("\"{0}\" ist nicht richtig.")
        {
            // default error message
        }
        #endregion

        #endregion

        #region methods
        /// <summary>
        /// Custom error message format.
        /// </summary>
        /// <param name="name">
        /// Fieldname which is not unique (not valid).
        /// </param>
        /// <returns>
        /// Formatted error message.
        /// </returns>
        public override string FormatErrorMessage(string name)
        {
            return null;
        }

        /// <summary>
        /// Set correct "doCount" value.
        /// </summary>
        /// <param name="value">
        /// Current value to check.
        /// </param>
        /// <param name="validationContext">
        /// </param>
        /// <returns>
        /// The <see cref="ValidationResult"/>.
        /// </returns>
        protected override ValidationResult IsValid(object value, ValidationContext validationContext)
        {
            return null;
        }

        /// <summary>
        /// Gets measured value predicate from validation context.
        /// </summary>
        /// <param name="context">The current validation context.</param>
        /// <returns>The measured value predicate from the validation context.</returns>
        private static string GetMeasuredValuePredicateFromContext(ValidationContext context)
        {
            return null;
        }

        /// <summary>
        /// Gets measured value from validation context.
        /// </summary>
        /// <param name="context">The current validation context.</param>
        /// <returns>The measured value from the validation context.</returns>
        private static decimal? GetMeasuredValueFromContext(ValidationContext context)
        {
            return null;
        }

        /// <summary>
        /// Set the "doCount" property for the sample result.
        /// </summary>
        /// <param name="context">The current validation context.</param>
        /// <param name="doCount">The value that should be set.</param>
        private static void SetDoCountValue(ValidationContext context, bool doCount)
        {
        }

        /// <summary>
        /// Gets the parameters "doCount" property from database.
        /// </summary>
        /// <param name="context">The current validation context.</param>
        /// <returns>True if parameters "doCount" property is true. Otherwise false.</returns>
        private static USP_Parameter_Sel_Result GetParameter(ValidationContext context)
        {
            return null;
        }

        /// <summary>
        /// Set "DoCount" depending on measurementPresettingId.
        /// </summary>
        /// <param name="context">
        /// The current validation context.
        /// </param>
        /// <returns>
        /// Do count if measurement presetting requires this.
        /// </returns>
        private static bool DoCountDependOnMeasurementPresetting(ValidationContext context)
        {
            return false;
        }

        /// <summary>
        /// Is measurement presetting set.
        /// </summary>
        /// <param name="context">The current validation context.</param>
        /// <returns>True if measurement pressetting holds an value. Otherwise false.</returns>
        private static bool IsMeasurementPresettingSet(ValidationContext context)
        {
            return false;
        }
        #endregion
    }
}